mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

A time zone is a geographical region in which the same standard time is used.

Whenever possible, use the class instead of the class.

You can use the class to retrieve information about the current time zone, and to convert times from local time to Coordinated Universal Time (UTC) or vice versa. However, you cannot use the class to represent time zones other than the local zone or to handle date and time conversions from one time zone to another. For this purpose, use the class. You can use this class to retrieve information on any time zone defined on the local system, to create custom time zones, and to convert times from one time zone to another.

The class supports only a single daylight saving time adjustment rule for the local time zone. As a result, the class can accurately report daylight saving time information or convert between UTC and local time only for the period in which the latest adjustment rule is in effect. In contrast, the class supports multiple adjustment rules, which makes it possible to work with historic time zone data.

Represents a time zone.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TimeZone To be added: an object of type 'TimeZone'

  The property corresponds to the property. Whenever possible, use the property.

  Gets the time zone of the current computer.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  If daylight saving time is not used in the time zone, an empty string ("") is returned.

  The property corresponds to the property. Whenever possible, use the property.

  Gets the daylight saving time zone name.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.DaylightTime ``

  Only one daylight saving time period per year is supported.

  If daylight saving time is not used in the current time zone, the return value is a object, where the value of and is , and the value of is a initialized to 0 ticks.

  Returns the daylight saving time period for a particular year.

  A object that contains the start and end date for daylight saving time in .

  The year that the daylight saving time period applies to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.TimeSpan ``

  This method returns the offset, or difference, between the parameter and Coordinated Universal Time (UTC). That is:

  = UTC + offset

  The method interprets the time zone of based on its property. If the value of the property is or , the method returns the offset of the local time zone. If the value of the property is , the method returns an offset equal to .

  If the local time zone observes daylight saving time, applies the current adjustment rule to when determining the offset of the local time zone. That is, the offset returned by reflects whether falls in the time zone's standard time or its daylight saving time.

  The method recognizes only the current daylight saving time adjustment rule for the local time zone. As a result, it is guaranteed to accurately return the UTC offset of a local time only during the period in which the latest adjustment rule is in effect. It may return inaccurate results if is a historic date and time value that was subject to a previous adjustment rule.

  The method corresponds to the method. Whenever possible, use the method.

  Because the date and time value represented by and this value's offset from UTC are not tightly coupled, a local or unspecified date and time value can return a different offset value when run on different computers or when run on the same computer under different time zones. If this behavior is undesirable, use a value instead. The data type tightly couples a date and time value with its offset from UTC.

  Returns the Coordinated Universal Time (UTC) offset for the specified local time.

  The Coordinated Universal Time (UTC) offset from .

  A date and time value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The year to which the daylight saving time period applies is derived from the parameter.

  Because the class supports a single daylight saving time adjustment rule, the method applies the current adjustment rule to any date, regardless of whether the adjustment rule was in effect on that date. Assuming that the operating system itself has accurate historic daylight saving time data, a more accurate result is available by using the method. Whenever possible, use the method.

  Returns a value indicating whether the specified date and time is within a daylight saving time period.

  true if is in a daylight saving time period; otherwise, false.

  A date and time.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  The method provides the same functionality as this overload of the method. Whenever possible, use the method.

  Returns a value indicating whether the specified date and time is within the specified daylight saving time period.

  true if is in ; otherwise, false.

  A date and time. A daylight saving time period.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The property corresponds to the property. Whenever possible, use the property.

  Gets the standard time zone name.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime ``

  The following table shows the relationship between the parameter and the value returned by this method.

  parameter

  Behavior

  Return value

  A Coordinated Universal Time (UTC) time ().

  Converts the time from UTC to the local time.

  A object whose value is the local time that corresponds to .

  A local time ().

  No conversion necessary.

  The same value represented by the parameter.

  An unspecified time ().

  Assumes that the time is UTC and converts it from UTC to the local time.

  A object whose value is the local time that corresponds to .

  If the local time zone observes daylight saving time, applies the current adjustment rule to when performing the conversion.

  The method recognizes only the current daylight saving time adjustment rule for the local time zone. As a result, it is guaranteed to accurately return the local time corresponding to a particular UTC time only during the period in which the latest adjustment rule is in effect. It may return inaccurate results if is a historic date and time value that was subject to a previous adjustment rule.

  The method corresponds to the method with its parameter set to . Whenever possible, use the method.

  Returns the local time that corresponds to a specified date and time value.

  A object whose value is the local time that corresponds to .

  A Coordinated Universal Time (UTC) time.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.DateTime ``

  If the local time zone observes daylight saving time, applies the current adjustment rule to the parameter when performing the conversion.

  The method recognizes only the current daylight saving time adjustment rule for the local time zone. As a result, it is guaranteed to accurately return the Coordinated Universal Time (UTC) corresponding to a particular local time only during the period in which the latest adjustment rule is in effect. It may return inaccurate results if is a historic date and time value that was subject to a previous adjustment rule.

  If the parameter is an ambiguous time, the method assumes that it is a standard time. (An ambiguous time is one that can map either to a standard time or to a daylight saving time in the local time zone.) If is an invalid time, the method simply subtracts the local time from the local time zone's UTC offset to return UTC. (An invalid time is one that does not exist because of the application of daylight saving time adjustment rules.)

  Because is interpreted in relation to the current time zone on the current system, the date and time returned by this method can differ if an application is run on different computers or on the same computer with different time zones. For cases in which a date and time value must represent a single, unambiguous point in time, use a value to represent the local time.

  The method corresponds to the method overload with a parameter whose property does not equal . Whenever possible, use the method overload.

  Returns the Coordinated Universal Time (UTC) that corresponds to a specified time.

  A object whose value is the Coordinated Universal Time (UTC) that corresponds to .

  A date and time.